Bug 1867802 - Catalog polling intervals only occur every OLM sync cycle
Summary: Catalog polling intervals only occur every OLM sync cycle
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: Daniel Sover
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On:
Blocks: 1878307
TreeView+ depends on / blocked
 
Reported: 2020-08-10 19:34 UTC by Daniel Sover
Modified: 2020-09-14 08:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 1731 None closed Bug 1867802: shorten catalog sync interval if polling is enabled 2020-09-14 06:28:01 UTC

Comment 2 Jian Zhang 2020-09-14 08:07:31 UTC
Cluster version is 4.6.0-0.nightly-2020-09-12-230035, which contains the fixed PR.
[root@preserve-olm-env data]# oc -n openshift-operator-lifecycle-manager exec catalog-operator-694676c897-8rdgt -- olm --version
OLM version: 0.16.1
git commit: 6d26c16166b232561132985e1132fce4b4d36532

1, Create a CatalogSource that its upgrade interval is 5 minutes.
[root@preserve-olm-env data]# cat cs-win.yaml 
apiVersion: operators.coreos.com/v1alpha1
kind: CatalogSource
metadata:
  name: wmco
  namespace: openshift-marketplace
spec:
  displayName: Windows operators
  sourceType: grpc
  image: quay.io/sgaoshang/wmco-index:1.0.0
  updateStrategy:
    registryPoll:
      interval: 5m

[root@preserve-olm-env data]# oc create -f cs-win.yaml 
catalogsource.operators.coreos.com/wmco created

2, After 5 mins, check if the upgrade chekcing pod generated. 
[root@preserve-olm-env data]# oc get pods
NAME                                    READY   STATUS    RESTARTS   AGE
...
wmco-2dszf                              1/1     Running   0          7m39s
wmco-f2qhj                              1/1     Running   0          25s

As we can see, the checking pod generated after 7 mins, and less than 15 mins. LGTM, verify it.


Note You need to log in before you can comment on or make changes to this bug.